<bugID>590090<Summary>Write a CSS selector parser for the new Style panel</Summary><Description>Currently we take each rule and we do rule.selectorText.split(",") to walk through each simple selector. This fails with selectors like:

h2, :-moz-any(article, aside, nav, section) h1 {
  display: block;
  font-size: 1.5em;
  font-weight: bold;
  margin: .83em 0;
}

... found in resource://gre-resources/html.css.

We need to properly parse selectors and build an array of simple selectors - perhaps even a nested array of selectors.</Description></bugID>